### Method

# Gio Settings revert

#### Declaration [src]

    void
    g_settings_revert (
      GSettings* settings
    )

#### Description [src]

Reverts all non-applied changes to the settings. This function does nothing unless `settings` is in ‘delay-apply’ mode; see g_settings_delay(). In the normal case settings are always applied immediately.

Change notifications will be emitted for affected keys.